<template>
  <div class="container extended pt-5 pb-5 translation-section">
    <client-only>
      <BrickDefinition v-if="isEnabled" api-base-url="/i18n"></BrickDefinition>
      <div v-else>
        Only available on live system!
      </div>
    </client-only>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
export default {
  layout: 'admin',
  roles: ['ROLE_SYSOP'],
  computed: {
    ...mapGetters(['hasRole']),
    isEnabled() {
      return process.env.profile === 'live' || this.hasRole('ROLE_SYSOP');
    },
  },
};
</script>
